BasicComboPopup.ItemHandler (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.ItemHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboPopup.ItemHandler

All Implemented Interfaces:
  EventListener, ItemListener

Enclosing class:
  BasicComboPopup

protected class BasicComboPopup.ItemHandler
extends Object
implements ItemListener

This listener watches for changes to the selection in the combo box.

Constructor Summary
`protected` | `BasicComboPopup.ItemHandler()`

Method Summary
`void` | `itemStateChanged(ItemEvent e)` Invoked when an item has been selected or deselected by the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.ItemHandler

    protected BasicComboPopup.ItemHandler()

Method Detail

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Description copied from interface: `ItemListener`
  Invoked when an item has been selected or deselected by the user. The code written for this method performs the operations that need to occur when an item is selected (or deselected).

  Specified by:
    `itemStateChanged` in interface `ItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.